<section class="px-4 py-4 w-full">
  <Booking::DatePicker
    @selectDate={{this.selectDate}}
    @selectedDate={{this.selectedDate}}
  />
  <Booking::DaytimePicker
    @selectDaytime={{this.selectDaytime}}
    @selectedDaytime={{this.selectedDaytime}}
  />
  <Booking::TimePicker
    @selectTime={{this.selectTime}}
    @selectedDate={{this.selectedDate}}
    @selectedDaytime={{this.selectedDaytime}}
    @selectedTime={{this.selectedTime}}
  />
  <Booking::Commit
    @commit={{fn (perform this.makeReservation)}}
    @selectedBooking={{this.selectedBooking}}
  />
</section>